#!/usr/bin/env python
# -*- coding: utf-8 -*-

from distutils.core import setup
from os.path import join as pjoin
import glob

# Version number
major = 0
minor = 5

setup(name = "Diffsim",
      version = "%d.%d" % (major, minor),
      description = "Diffusion Simulator",
      author = "Johan Hake",
      author_email = "hake@simula.no",
      packages = ["diffsim","diffsim.dyadiccleft"],
      package_dir = {"diffsim": "src",
                     "diffsim.dyadiccleft":pjoin("src","dyadiccleft")},
      package_data = {"diffsim.dyadiccleft":[pjoin("cpp","*.h")],
                      "diffsim":[pjoin("cpp","*.h")]})
