#!/usr/bin/env python
# -*- coding: utf-8 -*-

__author__ = "Johan Hake (johan.hake@gmail.com)"
__copyright__ = "Copyright (C) 2008 Johan Hake"
__license__  = "GNU LGPL Version 3.0 or any later"
__date__ = "2008-11-21 -- 2009-08-14"

import os
resolutions = [2]
hights      = [80,90]#,100]#[10,12.5,15,17.5,20,25,30,35,40]

# iterate over the different meshes
for i in xrange(16):
    for res in resolutions:
        for h in hights:
            cmd = "python run_stochastic_voltage_clamp.py" + \
                  " %s %s 5\n"% (str(res),str(h))
            
            f = open("job",'w')
            f.write(cmd);
            f.close()
            os.system('cat base_script.sh job > job.sh');
            os.system('qsub -lnodes=1:ppn=1,walltime=50:00:00 job.sh');
        
os.unlink('job')
os.unlink('job.sh')
